VirtualBox 2.2.2 and OpenSolaris build 114 and above - new vbi kernel module necessary

If you run OpenSolaris with a kernel build 114 and above with VirtualBox 2.2.2, you will have incompatible data structures between the kernel and the VirtualBox kernel module. Lucky Solaris users see this very infrequently, but from time to time, these type of changes seem to be necessary. Your Solutions is until the next VirtualBox release is out, to use the kernel module package attached to the VirtualBox ticket http://www.virtualbox.org/ticket/3981 (and never try the one from Release 2.2.2 on a kernel build 114 or above :-).

How I got there. My workstations runs build 114 since a few days and I wanted to use VirtualBox 2.2.2 to do some real work with it. But unfortunately the whole machine rebooted if I started the Guest. I wrote an email to the VirtualBox Team once I googled the problem and found the ticket mentioned above .... promptly I got a reply that the new kernel module package has already been attached to the ticket right now (I had the ticket from a few minutes ago w/o the file attached still on the screen). Wow, that was fast! Thanks to the VirtualBox Team!


PS: I'm really really happy, that the Solaris kernel doesn't change it's interface and datastructures every fortnight. Datacenter customers need this as well as Homeusers and Developers and Softwarevendors and everyone .... ?
The response from the VirtualBox Team was so fast, you won't believe me if I tell you how fast.

Kommentare:

Senden Sie einen Kommentar:
Kommentare sind ausgeschaltet.
About

what's cool?

Search

Categories
Archives
« April 2014
MoDiMiDoFrSaSo
 
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
    
       
Heute